const pathOp=require("path")
module.exports = {
  packagerConfig: {
    // 参考网址：https://electron.github.io/packager/main/interfaces/Options.html#afterCopy
    "name": "xbb",
    "executableName": "xbb",
    "icon": pathOp.join(__dirname,pathOp.sep)+"public"+pathOp.sep+"favicon.ico",
    "out": "build/",
    "overwrite": true,
    "asar":true,
    "version": "1.0.0",
    "copyright": "Copyright © 2023",
    "platform": "linux,win32"
    // "ignore": [ // 不需要打包的文件和文件夹的路径列表
    //   ".git",
    //   ".vscode",
    //   "node_modules",
    // ]
  },
  rebuildConfig: {},
  makers: [
    {
      name: '@electron-forge/maker-squirrel',
      config: {
        "name":"electron_quick_start"
      },
    },
    {
      name: '@electron-forge/maker-zip',
      platforms: ['darwin'],
      config: {
        "name": "xbb",
        "executableName": "xbb",
      }
    },
    {
      name: '@electron-forge/maker-deb',
      config: {
        "name": "xbb",
        "executableName": "xbb",
      },
    },
    {
      name: '@electron-forge/maker-rpm',
      config: {
        "name": "xbb"
      },
    },
  ],
};
