import axios from "axios";
import localStorage from 'localStorage';

export const requestAxios = axios.create({baseURL: '/'});
// 添加请求拦截
requestAxios.interceptors.request.use(function (config) {
    // 查看本地存储有没有token，有则放在请求头
    const token = localStorage.getItem('login_token');
    // console.log('url' + config.url)
    // console.log('token' + token)
    if (token) {
        config.headers.login_token = token
    }
    return config;
}, function (error) {
    // Do something with request error
    console.log(error)
    return Promise.reject(error);
});